## pacemaker 2.0.5

=== maint/mocked/Makefile ===
#
# Copyright 2019 the Pacemaker project contributors
#
# The version control history for this file may have further details.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.
#

#BASED_LDFLAGS = $$(pkgconf -libs glib-2.0) \
#	$$(pkgconf -libs libxml-2.0) \
#	$$(pkgconf -libs libqb) \
#	$$(pkgconf -libs pacemaker)
BASED_LDFLAGS = $$(pkgconf -libs glib-2.0) \
	$$(pkgconf -libs libxml-2.0) \
	$$(pkgconf -libs libqb) \
	-Wl,-rpath=$(CURDIR)/../../lib/common/.libs \
	  -L../../lib/common/.libs -lcrmcommon \
	  -L../../lib/pacemaker/.libs -lpacemaker

BASED_CPPFLAGS = $$(pkgconf -cflags glib-2.0) \
	$$(pkgconf -cflags libxml-2.0) \
	$$(pkgconf -cflags libqb) \
	-I ../.. -I ../../include -g

PROGRAMS = based

BASED_OBJECTS = based.o

# include or not the modules as you wish
BASED_OBJECTS += based-notifyfenced.o

all: ${PROGRAMS}

based: $(BASED_OBJECTS)
	$(CC) $(BASED_LDFLAGS) $^ -o $@

$(BASED_OBJECTS): %.o: %.c
	$(CC) $(BASED_CPPFLAGS) $(BASED_LDFLAGS) -c $< -o $@

clean:
	rm ${PROGRAMS} $(BASED_OBJECTS)

## pacemaker 1.0.8

=== debian/changelog ===
pacemaker (1.0.8-3~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 30 Mar 2010 16:22:00 +0000

pacemaker (1.0.8+hg15494-2) unstable; urgency=low

  * Fix support of python file handling for CRM shell

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 30 Mar 2010 15:07:48 +0000

pacemaker (1.0.8-2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports. 

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 30 Mar 2010 12:07:53 +0200

pacemaker (1.0.8+hg15494-1) unstable; urgency=low

  * Build new packages for upload to official unstable repository
  * Base build on new cluster-glue and heartbeat 
  * Removed spelling fixes patch; merged upstream.
  * Drop obsolete Build-Dependency on libnet1-dev

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 30 Mar 2010 09:09:11 +0000

pacemaker (1.0.8-1) unstable; urgency=low

  [ Simon Horman ]
  * New Upstream

 -- Simon Horman <horms@debian.org>  Fri, 26 Mar 2010 21:02:28 +1100

pacemaker (1.0.7+hg20100303r15404-3) unstable; urgency=low

  [ Martin Loschwitz ]
  * Fixing the CRM shell finally

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 03 Mar 2010 18:16:00 +0100

pacemaker (1.0.7+hg20100303r15404-2) unstable; urgency=low

  [ Martin Loschwitz ]
  * Fix inclusion of files for the CRM shell
  * Include two manpages in pacemaker package

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 03 Mar 2010 15:33:00 +0100

pacemaker (1.0.7+hg20100303r15404-1) unstable; urgency=low

  [ Martin Loschwitz ]
  * Update the copyright-file to the version updated by Ante Karamatic
  * Remove the Build-Dependency on heartbeat-dev (obsolete)
  * Add Build-Dependency on libcluster-glue-dev
  * New upstream checkout; officially ready for unstable

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 03 Mar 2010 09:00:00 +0100

pacemaker (1.0.7+hg20100203-2) UNRELEASED; urgency=low

  * Use debian source format 3.0 "quilt".
  * Raise debconf compatibility level to 7, and depend on this version 
    accordingly.
  * Bump standars version to 3.8.4, no changes needed.
  * Remove duplicate control fields.
  * Add lintian overrides.
  * debian/rules: fix indentations.
  * Install manpages using dh_installman.

 -- Frederik Schüler <fs@debian.org>  Thu, 11 Feb 2010 23:45:25 +0100

pacemaker (1.0.7+hg20100203-1) unstable; urgency=low

  * Rebuild against the new cluster stack releases

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 03 Feb 2010 08:30:00 +0100

pacemaker (1.0.7+hg20100127-0test1) unstable; urgency=low

  * New upstream version

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 27 Jan 2010 13:58:00 +0200

pacemaker (1.0.6+hg20100105-0ubuntu0ppa1) lucid; urgency=low

  * New upstream snapshot
  * Fix version dep on heartbeat

 -- Ante Karamatic <ivoks@ubuntu.com>  Wed, 06 Jan 2010 19:31:31 +0000

pacemaker (1.0.6+hg20091102-4~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 03 Nov 2009 10:44:24 +0000

pacemaker (1.0.6+hg20091102-4) unstable; urgency=low

  * Make pacemaker depend on cluster-agents to make sure it does not
    get removed during updates. 

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 03 Nov 2009 09:52:57 +0000

pacemaker (1.0.6+hg20091102-3) unstable; urgency=low

  * Replace dependency on cluster-messaging-framework with corosync or
    heartbeat -- enforce heartbeat for default installations 

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 03 Nov 2009 08:40:05 +0000

pacemaker (1.0.6+hg20091102-2) unstable; urgency=low

  * Fix broken dependency on heartbeat 

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 03 Nov 2009 07:49:33 +0000

pacemaker (1.0.6+hg20091102-1) unstable; urgency=low

  * New upstream version: 1.0.6
  * Undo packagesplit for pacemaker -- it's one package now
  * Depend on cluster-messaging-framework

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 02 Nov 2009 13:35:16 +0000

pacemaker (1.0.5+hg20091012-1) unstable; urgency=low

  * New upstream version
  * Switch back to openais-legacy for the time being

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 12 Oct 2009 17:30:00 +0200

pacemaker (1.0.5+hg20090915-1) unstable; urgency=low

  * New upstream version
  * Some cleanups in debian/-subdirectory
  * Changes to control-file to reflect new HB situation

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 15 Sep 2009 10:10:00 +0200

pacemaker (1.0.4.1+hg20090606-1) experimental; urgency=low
  
  * Rebuild, now with the finally "official" 1.0.4.
  * Some cleanups in debian/ (remove ancient files)

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 06 Jun 2009 10:06:00 +0200

pacemaker (1.0.4.1+hg20090604-1) experimental; urgency=low

  * Rebuild to reflect another set of upstream changes. Sigh.

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 04 Jun 2009 09:26:00 +0200

pacemaker (1.0.4+hg20090604-1) experimental; urgency=low

  * New upstream version: pacemaker 1.0.4+hg20090604

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 04 Jun 2009 09:26:00 +0200

pacemaker (1.0.3+svn20090522-2) experimental; urgency=low

  * Added --libdir to configure script to make sure libraries go 
  into the correct directories.
  * Make postinst no longer bail out if /var/run/heartbeat/crm and / or
  /var/lib/heartbeat/pengine are missing

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 26 May 2009 13:39:00 +0200

pacemaker (1.0.3+svn20090522-1) experimental; urgency=low
  
  * Updated to latest version of upstream 1.0 stable tree

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 22 May 2009 13:00:00 +0200

pacemaker (1.0.2-4) experimental; urgency=low

  * Add missing build dependency on libheartbeat2-dev 

 -- Simon Horman <horms@debian.org>  Wed, 20 May 2009 15:01:15 +0000

pacemaker (1.0.2-3) experimental; urgency=low

  * Added pacemaker.lcrso 
  * Build against newer Heartbeat package
  * Provide separate packages for heartbeat / openais
  * Changed the Maintainer-Field to the Debian HA-Group



=== debian/control ===
Source: pacemaker
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Martin Loschwitz <madkiss@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>, Simon Horman <horms@debian.org>, Frederik Schüler <fs@debian.org>
Build-Depends: debhelper (>= 7), automake, autoconf, chrpath, libsnmp-dev, libglib2.0-dev, perl, net-tools, python, libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, libbz2-dev, zlib1g-dev, libltdl3-dev, openssh-client, libgnutls-dev, python-central (>= 0.5), python-dev, libpam0g-dev, libncurses5-dev, libcorosync-dev (>= 1.1.2), libheartbeat2-dev (>= 3.0), cluster-glue-dev (>= 1.0+hg20090821), libxslt1-dev, libesmtp-dev
Standards-Version: 3.8.4
Homepage: http://clusterlabs.org/
XS-Python-Version: current

Package: pacemaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, cluster-agents, python, adduser, corosync (>= 1.1.2) | heartbeat (>= 3.0)
Conflicts: pacemaker-heartbeat, pacemaker-openais
Replaces: pacemaker-heartbeat, pacemaker-openais
XB-Python-Version: ${python:Versions}
Description: HA cluster resource manager
 High-Availability cluster resource manager for Heartbeat as 
 well as Corosync.
 .
 Pacemaker supports a very sophisticated dependency model for 
 n-node clusters and can respond to node and resource-level 
 failures.
 .
 It supports both the Heartbeat and Corosync cluster stacks.

Package: pacemaker-dev
Section: devel
Architecture: any
Replaces: pacemaker-heartbeat-dev, pacemaker-openais-dev
Conflicts: pacemaker-heartbeat-dev, pacemaker-openais-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, pacemaker (>= ${source:Version}), python, libcorosync-dev (>= 1.1.2+svn20091102), libheartbeat2-dev (>= 3.0) 
XB-Python-Version: ${python:Versions}
Description: HA cluster resource manager (development files)
 High-Availability cluster resource manager for Heartbeat.
 .
 Pacemaker supports a very sophisticated dependency model for 
 n-node clusters and can respond to node and resource-level 
 failures.
 . 
 This package contains pacemaker's development files.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# Copyright 1997 to 1999 by Joey Hess.
# License: GNU General Public License (GPL)

# Thanks to Paolo Molaro <lupus@debian.org> and heartbeat_0.4.6-2.diff

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

#
# Path to SSH and SCP
# Usually this is guessed if ssh is installed.
# However, there is a long standing bug with installing ssh
# on arm in debian and this is preventing heartbeat from
# moving into sarge. By adding this we can remove the build
# dependency on ssh and get an updated heartbeat into sarge... 
# I hope. Horms 26th July 2004
#
# If this is removed then the build depandancy on ssh should be
# restored
#

cfg:=--prefix=/usr --sysconfdir=/etc --localstatedir=/var 	  \
  --mandir=/usr/share/man \
  --enable-snmp-subagent --with-mibsdir=/usr/share/snmp/mibs 	  \
  --disable-fatal-warnings --enable-glib-malloc --with-esmtp 	  \
  --with-snmp --with-ais --with-heartbeat --libdir=/usr/lib	  \
  --with-lcrso-dir=/usr/lib/lcrso

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g -I../../../.. -I../../../../include

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -O0
else
       CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
       INSTALL_PROGRAM += -s
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

RELEASE := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }')
UPSTREAM := $(shell echo "$(RELEASE)" | sed 's/:\?\([0-9\.]\+\)-[0-9].*/\1/')
ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

patch:
	override_version=$(RELEASE) sh debian/apply

unpatch:
	override_version=$(RELEASE) sh debian/apply $(UPSTREAM)


build: build-stamp
build-stamp:
	dh_testdir
	[ -f configure ] || sh autogen.sh
	if [ -e configure -a ! -x configure ]; then chmod u+x configure; fi
	if [ -e py-compile -a ! -x py-compile ]; then chmod u+x py-compile; fi
	# run configure script
	./configure $(cfg)
	# set rng compatibility symlinks
	$(shell cd xml && for a in *-1.0.rng; do ln -s "$$a" `echo "$$a" | sed 's/-1.0//g'`; done)
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f tools/ccdv
	rm -f libltdl.tar autoconf automake autoheader
	rm -f build-stamp
	rm -f debian/*.files debian/*.dirs
	
	rm -rf debian/*-build-*
	rm -rf debian/tmp-*
	
	## Zero autoconf foo
	rm -f config.status libltdl/config.log libltdl/config.status 
	
	# do a make changes
	# make changes || true <-- WTF???
	
	dh_clean

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tmp docdir=/usr/share/doc/pacemaker

binary-indep: build install

binary-arch: build install
	dh_testdir -a
	dh_testroot -a

	dh_install --sourcedir=debian/tmp --fail-missing
	
	# make non-scripts non-executable
	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/crm-transitional.dtd
	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/resources-1.0.rng
	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/nvset-1.0.rng
	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/upgrade06.xsl
	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/constraints-1.0.rng
	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/shelltest/testcases/xmlonly.sh
	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/shelltest/testcases/confbasic-xml.filter
	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/pacemaker.rng
	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/pacemaker-1.0.rng
	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/score.rng
	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/crm.dtd
	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/rule-1.0.rng
	
	# delete redundant COPYING files
	rm -rf debian/pacemaker/usr/share/doc/pacemaker/COPYING.LGPL
	rm -rf debian/pacemaker/usr/share/doc/pacemaker/COPYING.LIB
	rm -rf debian/pacemaker/usr/share/doc/pacemaker/COPYING
	
	# create special directory
	mkdir -p `pwd`/debian/pacemaker/var/lib/pengine
	mkdir -p `pwd`/debian/pacemaker/var/lib/heartbeat/pengine
	
	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installinit -a -n -u 'defaults 20 32'
	dh_installman -a
	dh_lintian
	dh_installchangelogs
	dh_link -a
	dh_strip -a
	
	# make the pacemaker shlib non-executable
	chmod -x `pwd`/debian/pacemaker/usr/lib/lcrso/pacemaker.lcrso
	
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_perl -a
	DH_PYCENTRAL="include-links" dh_pycentral -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary binary-indep binary-arch install \
	patch unpatch

## pacemaker 1.0.8+hg15494

=== debian/changelog ===
pacemaker (1.0.8+hg15494-2ubuntu2) lucid; urgency=low

  * pacemaker.postinst: fix permissions on /var/lib/pengine

 -- Ante Karamatic <ivoks@ubuntu.com>  Mon, 26 Apr 2010 13:18:55 +0200

pacemaker (1.0.8+hg15494-2ubuntu1) lucid; urgency=low

  * Sync from debian unstable (LP: #562712).
  * debian/pacemaker-dev.install: Changed 'python2.5/site-packages' to
    'python*/*-packages'.
  * debian/control: 
    - Add missing Build-Depends on libcluster-glue-dev.
    - Drop unnecessary Build-Depends on python-dev.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 14 Apr 2010 12:04:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pacemaker
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Loschwitz <madkiss@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>, Simon Horman <horms@debian.org>, Frederik Schüler <fs@debian.org>
-Build-Depends: debhelper (>= 7), automake, autoconf, chrpath, libsnmp-dev, libglib2.0-dev, perl, net-tools, python, libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, libbz2-dev, zlib1g-dev, libltdl3-dev, openssh-client, libgnutls-dev, python-central (>= 0.5), python-dev, libpam0g-dev, libncurses5-dev, libcorosync-dev (>= 1.1.2), libheartbeat2-dev (>= 3.0), cluster-glue-dev (>= 1.0+hg20090821), libxslt1-dev, libesmtp-dev
+Build-Depends: debhelper (>= 7), automake, autoconf, chrpath, libsnmp-dev, libglib2.0-dev, perl, net-tools, python, libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, libbz2-dev, zlib1g-dev, libltdl3-dev, openssh-client, libgnutls-dev, python-central (>= 0.5), libpam0g-dev, libncurses5-dev, libcorosync-dev (>= 1.1.2), libheartbeat2-dev (>= 3.0), cluster-glue-dev (>= 1.0+hg20090821), libcluster-glue-dev (>= 1.0+hg20090821), libxslt1-dev, libesmtp-dev
 Standards-Version: 3.8.4
 Homepage: http://clusterlabs.org/
 XS-Python-Version: current

=== debian/rules ===
--- 
+++ 
@@ -151,7 +151,7 @@
 	dh_makeshlibs -a -V
 	dh_installdeb -a
 	dh_perl -a
-	DH_PYCENTRAL="include-links" dh_pycentral -a
+	DH_PYCENTRAL="include-links" dh_pycentral -a 
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a

## pacemaker 1.0.9.1

=== debian/changelog ===
pacemaker (1.0.9.1-2ubuntu4) maverick; urgency=low

  * Rollback library split into its original state.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 15 Sep 2010 13:47:43 -0400

pacemaker (1.0.9.1-2ubuntu3) maverick; urgency=low

  * Split pacemaker{-dev} into libpacemaker{-dev}.
  * debian/control: Change depency source:Version to binary:Version for
    pacemaker-dev binary package.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 13 Sep 2010 13:31:06 -0400

pacemaker (1.0.9.1-2ubuntu2) maverick; urgency=low

  * debian/patches/raexecupstart.patch:
    - utilize new upstart LRM plugin in cluster-glue
  * debian/control:
    - bump build dep version of cluster-glue

 -- Ante Karamatic <ivoks@ubuntu.com>  Tue, 07 Sep 2010 17:40:56 +0000

pacemaker (1.0.9.1-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #607885). Remaining changes:
    - debian/control: Drop unnecessary Build-Depends on python-dev.
    - debian/pacemaker.postinst: fix permissions on /var/lib/pengine.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 20 Jul 2010 13:37:45 -0400

pacemaker (1.0.9.1-2) unstable; urgency=low

  * Rebuild against fresh cluster-glue
    - Updated dependencies
  * Update debian/watch
  * Add dependencies on libglib2.0-dev, libxml2-dev and libcluster-glue-dev
    to pacemaker-dev.
    Closes: #586787
  * Update standards version to 3.9.0

 -- Simon Horman <horms@debian.org>  Wed, 14 Jul 2010 17:06:02 +0900

pacemaker (1.0.9.1-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #604413).  Remaining changes:
    - debian/control: Drop unnecessary Build-Depends on python-dev.
    - debian/pacemaker.postinst: fix permissions on /var/lib/pengine.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sun, 11 Jul 2010 20:11:42 -0400

pacemaker (1.0.9.1-1) unstable; urgency=low

  * New Upstream

 -- Simon Horman <horms@debian.org>  Mon, 05 Jul 2010 22:01:05 +0900

pacemaker (1.0.8+hg15494-4ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #600894). Remaining changes:
    - debian/control: Drop unnecessary Build-Depends on python-dev.
    - debian/pacemaker.postinst: fix permissions on /var/lib/pengine.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 02 Jul 2010 00:47:30 -0400

pacemaker (1.0.8+hg15494-4) unstable; urgency=low

  * run dh_installdeb *after* dh_perl and dh_pycentral.

 -- Frederik Schüler <fs@debian.org>  Mon, 03 May 2010 20:10:48 +0200

pacemaker (1.0.8+hg15494-3) unstable; urgency=low

  * Merge 1.0.8+hg15494-2ubuntu1
    debian/pacemaker-dev.install: Changed 'python2.5/site-packages' to
    'python*/*-packages'.
    debian/control:
    - Add missing Build-Depends on libcluster-glue-dev.
    - Drop unnecessary Build-Depends on python-dev.
  * Build depend on libcluster-glue-dev
    Patch by Nobuhiro Iwamatsu
    Closes: 578340

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 21 Apr 2010 16:10:25 +1000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Loschwitz <madkiss@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>, Simon Horman <horms@debian.org>, Frederik Schüler <fs@debian.org>
-Build-Depends: debhelper (>= 7), automake, autoconf, chrpath, libsnmp-dev, libglib2.0-dev, perl, net-tools, python, libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, libbz2-dev, zlib1g-dev, libltdl3-dev, openssh-client, libgnutls-dev, python-central (>= 0.5), libpam0g-dev, libncurses5-dev, libcorosync-dev (>= 1.1.2), libheartbeat2-dev (>= 3.0), cluster-glue-dev (>= 1.0+hg20090821), libcluster-glue-dev (>= 1.0+hg20090821), libxslt1-dev, libesmtp-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), automake, autoconf, chrpath, libsnmp-dev, libglib2.0-dev, perl, net-tools, python, libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, libbz2-dev, zlib1g-dev, libltdl3-dev, openssh-client, libgnutls-dev, python-central (>= 0.5), libpam0g-dev, libncurses5-dev, libcorosync-dev (>= 1.1.2), libheartbeat2-dev (>= 3.0), cluster-glue-dev (>= 1.0.6-1ubuntu1), libcluster-glue-dev (>= 1.0.6-1ubuntu1), libxslt1-dev, libesmtp-dev
+Standards-Version: 3.9.0
 Homepage: http://clusterlabs.org/
+Vcs-Hg: http://hg.debian.org/hg/debian-ha/pacemaker
+Vcs-Browser: http://hg.debian.org/hg/debian-ha/pacemaker
 XS-Python-Version: current
 
 Package: pacemaker
@@ -30,7 +32,7 @@
 Architecture: any
 Replaces: pacemaker-heartbeat-dev, pacemaker-openais-dev
 Conflicts: pacemaker-heartbeat-dev, pacemaker-openais-dev
-Depends: ${shlibs:Depends}, ${misc:Depends}, pacemaker (>= ${source:Version}), python, libcorosync-dev (>= 1.1.2+svn20091102), libheartbeat2-dev (>= 3.0) 
+Depends: ${shlibs:Depends}, ${misc:Depends}, pacemaker (>= ${binary:Version}), python, libcorosync-dev (>= 1.1.2+svn20091102), libheartbeat2-dev (>= 3.0) , libglib2.0-dev, libxml2-dev, libcluster-glue-dev (>= 1.0.6)
 XB-Python-Version: ${python:Versions}
 Description: HA cluster resource manager (development files)
  High-Availability cluster resource manager for Heartbeat.

## pacemaker 1.0.9.1+hg15626

=== debian/changelog ===
pacemaker (1.0.9.1+hg15626-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports. 

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 08 Sep 2010 12:01:44 +0000

pacemaker (1.0.9.1+hg15626-1) unstable; urgency=low

  * New upstream Mercurial checkout to fix the "cleanup" command 

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 05 Aug 2010 13:24:45 +0000

=== debian/rules ===
--- 
+++ 
@@ -149,9 +149,9 @@
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a -V
+	dh_perl -a
+	DH_PYCENTRAL="include-links" dh_pycentral -a
 	dh_installdeb -a
-	dh_perl -a
-	DH_PYCENTRAL="include-links" dh_pycentral -a 
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a

## pacemaker 1.0.10

=== debian/changelog ===
pacemaker (1.0.10-4ubuntu3) natty; urgency=low

  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Mar 2011 15:51:12 -0700

pacemaker (1.0.10-4ubuntu2) natty; urgency=low

  * debian/patches/fix_return_o2cb_ra.patch: Updated and add fix to change
    to killall instead of killproc as it doesn't exist in Ubuntu (LP: #727422)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 01 Mar 2011 17:14:39 -0500

pacemaker (1.0.10-4ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #701233).  Remaining changes:
    - debian/patches:
      + lib_license_headers_update.patch: Update the License Headers to
        correctly reflect the use of LGPL-2.1+.
      + other_license_headers_update.patch: Update the License Headers of
        files that show GPL version 2.1, to correctly show version 2+.
      + raexecupstart.patch: Utilize new upstart LRM plugin.
      + fix_ftbfs_linker_as_needed.patch: Prevent FTBFS due to linker changes.
      + fix_return_o2cb_ra.patch: Fix a return variale error in the o2cb RA.
    - debian/pacemaker.postinst: Fix permissions on /var/lib/pengine.
  * debian/control:
    - Bump cluster-glue dependencies to Ubuntu specific.
    - pacemaker-dev binary: Update dependencies to correct ones:
      (libpe-status2-dev,libpe-rules2-dev)
    - libcrmcommon2-dev: Drop Depends on cluster-glue-dev.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 12 Jan 2011 10:12:46 -0600

pacemaker (1.0.10-4) unstable; urgency=low

  * Add dependency on cluster-glue-dev to libcrmcommon2-dev
    Closes: #608275

 -- Simon Horman <horms@debian.org>  Tue, 04 Jan 2011 12:53:31 +0900

pacemaker (1.0.10-3) unstable; urgency=low

  * Use correct names for libpe-rules2-dev and libpe-status2-dev
    - This fixes a regression introduced in 1.0.10-2

 -- Simon Horman <horms@debian.org>  Mon, 20 Dec 2010 15:31:41 +0900

pacemaker (1.0.10-2) unstable; urgency=low

  [ Andres Rodriguez ]
  * debian/rules: dh_pycentral only for pacemaker and pacemaker-dev.
  * debian/control:
    - Really remove Build-Depends on python-dev.
    - pacemaker-dev: Change from ${source:Version} to ${binary:Version}.
    - Add missing Section for library packages.
    - lib -dev binary packages: Drop ${python:Depends}, ${shlibs:Depends};
      add dependency to its corresponding binary package.
    - lib binary packages: Drop ${python:Depends}
    - Rename libpe-{status,rules}-2 to libpe-{status,rules}2 respectively.
  * debian/libpe-{status,rules}-2{-dev}.install:
    - Rename to libpe-{status,rules}2{-dev}.

 -- Simon Horman <horms@debian.org>  Mon, 20 Dec 2010 09:29:39 +0900

pacemaker (1.0.10-1) unstable; urgency=low

  * New upstream
  * Depend on new binary packages of cluster-glue
    Closes: 593319

 -- Simon Horman <horms@debian.org>  Thu, 16 Dec 2010 21:50:06 +0900

pacemaker (1.0.9.1+hg15626-2ubuntu3) natty; urgency=low

  * debian/patches:
    - lib_license_headers_update.patch: Update the License Headers to
      correctly reflect the use of LGPL-2.1+.
    - other_license_headers_update.patch: Update the License Headers of files
      that show GPL version 2.1, to correctly show version 2+.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 13 Dec 2010 13:00:46 -0500

pacemaker (1.0.9.1+hg15626-2ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:08:00 +0000

pacemaker (1.0.9.1+hg15626-2ubuntu1) natty; urgency=low

  * Resync from Debian experimental.
  * debian/patches:
    - raexecupstart.patch: Utilize new upstart LRM plugin.
    - fix_ftbfs_linker_as_needed.patch: Prevent FTBFS due to linker changes.
    - fix_return_o2cb_ra.patch: Fix a return variale error in the o2cb RA.
  * debian/pacemaker.postinst: Fix permissions on /var/lib/pengine.
  * debian/control:
    - Build Dependencies: Bump cluster-glue-dev; remove python-dev
    - library -dev packages: Drop ${python:Depends}, ${shlibs:Dends}. Add
      dependency to its corresponding binary packages.
    - library packages: Drop depends on ${python:Depends}; Add missing
      Sections.
    - Tighten Conflicts/Replaces to Ubuntu related ones.
    - pacemaker-dev: Change from ${source:Version} to ${binary:Version}.
    - Rename libpe-{status,rules}-2 to libpe-{status,rules}2 respectively.
  * debian/libpe-{status,rules}-2{-dev}.install:
    - Rename to libpe-{status,rules}2{-dev}.
  * debian/rules: dh_pycentral only for pacemaker and pacemaker-dev.
  * debian/pacemaker.lintian-override: Removed.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 17 Nov 2010 16:40:23 -0500

pacemaker (1.0.9.1+hg15626-2) experimental; urgency=low

  * Package split to better comply with Debian Policy (c. 8.1.)
  * Adapt package to new cluster-glue structure
  * Remove service_crm.so as according to beekhof, it's an unneeded
    copy only anyway
  * Bump Standards-Version

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 20 Oct 2010 17:15:45 +0200

=== debian/control ===
Source: pacemaker
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Martin Loschwitz <madkiss@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>, Simon Horman <horms@debian.org>, Frederik Schüler <fs@debian.org>
Build-Depends: debhelper (>= 7), automake, autoconf, chrpath, libsnmp-dev, libglib2.0-dev, perl, net-tools, python, libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, libbz2-dev, zlib1g-dev, libltdl3-dev, openssh-client, libgnutls-dev, python-central (>= 0.5), libpam0g-dev, libncurses5-dev, libcorosync-dev (>= 1.1.2), libheartbeat2-dev (>= 3.0), libxslt1-dev, libesmtp-dev, cluster-glue-dev (>= 1.0.7-3ubuntu1), liblrm2-dev, libpils2-dev, libplumb2-dev, libplumbgpl2-dev, libstonith1-dev
Standards-Version: 3.9.1
Homepage: http://clusterlabs.org/
Vcs-Hg: http://hg.debian.org/hg/debian-ha/pacemaker
Vcs-Browser: http://hg.debian.org/hg/debian-ha/pacemaker
XS-Python-Version: current

Package: pacemaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, cluster-agents, python, adduser, corosync (>= 1.1.2) | heartbeat (>= 3.0)
Conflicts: pacemaker-heartbeat, pacemaker-openais
Replaces: pacemaker-heartbeat, pacemaker-openais
XB-Python-Version: ${python:Versions}
Description: HA cluster resource manager
 High-Availability cluster resource manager for Heartbeat as 
 well as Corosync.
 .
 Pacemaker supports a very sophisticated dependency model for 
 n-node clusters and can respond to node and resource-level 
 failures.
 .
 It supports both the Heartbeat and Corosync cluster stacks.

Package: pacemaker-dev
Section: devel
Architecture: any
Replaces: pacemaker-heartbeat-dev, pacemaker-openais-dev
Conflicts: pacemaker-heartbeat-dev, pacemaker-openais-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, pacemaker (>= ${binary:Version}), python, libcorosync-dev (>= 1.1.2+svn20091102), libheartbeat2-dev (>= 3.0) , libglib2.0-dev, libxml2-dev, libcluster-glue-dev (>= 1.0.7-3ubuntu1), libcib1-dev (>= ${binary:Version}), libcrmcluster1-dev (>= ${binary:Version}), libcrmcommon2-dev (>= ${binary:Version}), libpe-rules2-dev (>= ${binary:Version}), libpe-status2-dev (>= ${binary:Version}), libpengine3-dev (>= ${binary:Version}), libstonithd0-dev (>= ${binary:Version}), libtransitioner1-dev (>= ${binary:Version})
XB-Python-Version: ${python:Versions}
Description: HA cluster resource manager (development files)
 High-Availability cluster resource manager for Heartbeat.
 .
 Pacemaker supports a very sophisticated dependency model for 
 n-node clusters and can respond to node and resource-level 
 failures.
 . 
 This package contains pacemaker's development files.

Package: libcib1-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libcib1 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Description: Development file for pacemaker's cib library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (CIB). Install 
 it if you want to do development based on pacemaker.

Package: libcib1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
Description: The Pacemaker libraries - CIB 
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 CIB library.

Package: libcrmcluster1-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libcrmcluster1 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Description: Development file for pacemaker's crm library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (CRM). Install 
 it if you want to do development based on pacemaker.

Package: libcrmcluster1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
Description: The Pacemaker libraries - CRM
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 CRM cluster library.

Package: libcrmcommon2-dev
Architecture: any
Section: libdevel
Depends:
 ${misc:Depends}, libcrmcommon2 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Description: Development file for pacemaker's common library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (common CRM). 
 Install it if you want to do development based on pacemaker.

Package: libcrmcommon2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
Description: The Pacemaker libraries - common CRM
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 common CRM library.

Package: libpe-rules2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libpe-rules2 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Description: Development file for pacemaker's rules library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (pengine rules). 
 Install it if you want to do development based on pacemaker.

Package: libpe-rules2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
Description: The Pacemaker libraries - rules for P-Engine
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 PEngine rules library.

Package: libpe-status2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libpe-status2 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Description: Development file for pacemaker's status library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (pengine status). 
 Install it if you want to do development based on pacemaker.

Package: libpe-status2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
Description: The Pacemaker libraries - status for P-Engine
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 PEngine status library.

Package: libpengine3-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libpengine3 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Description: Development file for pacemaker's pengine library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (pengine). 
 Install it if you want to do development based on pacemaker.

Package: libpengine3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
Description: The Pacemaker libraries - P-Engine
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 PEngine library.

Package: libstonithd0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libstonithd0 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Description: Development file for pacemaker's stonith library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (stonith). 
 Install it if you want to do development based on pacemaker.

Package: libstonithd0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
Description: The Pacemaker libraries - stonith
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 stonith library.

Package: libtransitioner1-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libtransitioner1 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2)
Description: Development file for pacemaker's transitioner library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (transitioner). 
 Install it if you want to do development based on pacemaker.

Package: libtransitioner1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
Description: The Pacemaker libraries - transitioner
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 transitioner library.

=== debian/rules ===
--- 
+++ 
@@ -101,12 +101,19 @@
 	dh_testroot
 	dh_installdirs
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp docdir=/usr/share/doc/pacemaker
-
+	for file in debian/tmp/usr/lib/*.la; do \
+		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
+	done
+	
 binary-indep: build install
 
 binary-arch: build install
 	dh_testdir -a
 	dh_testroot -a
+
+	rm -rf `pwd`/debian/tmp/usr/lib/service_crm.so
+	rm -rf `pwd`/debian/tmp/usr/lib/service_crm.la
+	rm -rf `pwd`/debian/tmp/usr/lib/service_crm.a
 
 	dh_install --sourcedir=debian/tmp --fail-missing
 	
@@ -150,7 +157,7 @@
 	dh_fixperms -a
 	dh_makeshlibs -a -V
 	dh_perl -a
-	DH_PYCENTRAL="include-links" dh_pycentral -a
+	DH_PYCENTRAL="include-links" dh_pycentral -ppacemaker -ppacemaker-dev
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
